Public Class FolderUserControl
    Public Property FolderName
        Get
            Return TextEdit1.Text
        End Get
        Set(ByVal value)
            TextEdit1.Text = value
        End Set
    End Property
    Private Sub FolderUserControl_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        TextEdit1.Width = Me.Width - SimpleButton1.Width
        SimpleButton1.Left = Me.Width - SimpleButton1.Width
    End Sub

    Private Sub SimpleButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SimpleButton1.Click
        Me.FolderBrowserDialog.ShowDialog()
        Me.TextEdit1.Text = Me.FolderBrowserDialog.SelectedPath.ToString

    End Sub
End Class
